<div >
	<div *ngIf="organization; else selectOrg" fxFlex="" >
		<div fxLayout="row" fxLayoutAlign="start center">
			<h5 >{{selectedOrgLabel}}: </h5>
			<button mat-icon-button
				(click)="delOrganization()"
				matTooltip="Очистить организацию"
				aria-label="delete">
				<mat-icon svgIcon="close"></mat-icon>
			</button>
		</div>

		<div>
			<h4 class="mb-20"> {{organization.short_title }} </h4>
		</div>
	</div>


	<ng-template #selectOrg class="my-10">
		<mat-form-field class="form-element " fxFlex="" [appearance]="appearance">
			<mat-label> {{label}}</mat-label>
			<mat-select [formControl]="orgCtrl"
				(valueChange)="orgChange($event)"
				[required]="required">

				<mat-option>
					<ngx-mat-select-search
						[(ngModel)]="searchOrg"
						[placeholderLabel]="'Поиск'"
						[noEntriesFoundLabel]="'Ничего не найдено'"
					>
						<mat-icon ngxMatSelectSearchClear svgIcon="close"></mat-icon>
					</ngx-mat-select-search>
				</mat-option>

				<mat-option *ngFor="let item of organizations | filter: searchOrg:'short_title' " [value]="item">
					{{item.short_title}}
				</mat-option>


			</mat-select>

		</mat-form-field>

	</ng-template>


</div>

